Subject: Re: bug#71646: 29.3; pixel-scroll-precision-mode overrides paging behaviour even when pixel-scroll-precision-interpolate-page is off

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Sep 2024 11:07:59 +0300

> From: Po Lu <[email-masked]>
> Cc: Stefan Kangas <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Sun, 01 Sep 2024 19:52:19 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Stefan Kangas <[email-masked]>
> >> Date: Sun, 1 Sep 2024 02:48:57 -0700
> >> Cc: [email-masked], [email-masked]
> >> 
> >> Eli Zaretskii <[email-masked]> writes:
> >> 
> >> > Ping! Should I close this?
> >> 
> >> Shouldn't we rather fix the bug described by Mike?  I.e. this:
> >> 
> >> > Setting `pixel-scroll-precision-interpolate-page’ is supposed to
> >> > turn off the paging animation (which it does) however even when it’s
> >> > off, <prior> and <next> invoke `cua-scroll-up’ & `cua-scroll-down’
> >> > rather than allowing another keymap to handle it.
> >
> > I don't mind to fixing this, if possible, but (a) I don't think I
> > understand what is being suggested by the text you quote above, and
> > (b) given Po Lu's response, it doesn't seem like the proposed changes
> > will be accepted, or did I miss something?
> 
> My problem is that two years ago I stated quite clearly why it was
> inappropriate to engineer paging interpolation into p-s-p-m (in a
> Telegram group), to the deaf ears of the mob requesting it, but since it
> is only now that we have received a lone complaint, it's safe to
> conclude that most users are satisfied with its established behavior,
> which should at least give us pause before any decision to tamper with
> it some more, and which behavior, mind you, had already been revised
> once in response to user feedback before 29.1.  The optimal solution is
> simply not to bind p-s-p-i-p in pixel-scroll-precision-mode, but users
> disagreed then, and now it's far too late to tamper with these bindings.

So what to do with this bug? close as wontfix? leave open and hope
someone will find a solution? something else?